# Delete a device fingerprint

Deletes a device fingerprint associated to a profile. Include the deviceFingerprintId in the URL to delete a device fingerprint. This ID is provided in the response when the device fingerprint is created.

{% admonition type="warning" %}
This operation is irreversible.
{% /admonition %}

Endpoint: DELETE /v2/profiles/{profileId}/device-fingerprints/{deviceFingerprintId}
Security: UserToken

## Path parameters:

  - `profileId` (integer, required)
    The profile ID.

  - `deviceFingerprintId` (string, required)
    The device fingerprint ID.

## Header parameters:

  - `X-External-Correlation-Id` (string)
    Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.
    Example: "f47ac10b-58cc-4372-a567-0e02b2c3d479"


## Response 204 fields

## Response 404 fields
